package com.m2pool.pool.enums;

/**
 * @Description 矿池单位换算
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum PoolUnits {

    GRS("grs", "MH/s", 1000*1000, 1000),
    MONA("mona", "MH/s", 1000*1000, 1000),
    DGBS("dgbs", "MH/s", 1000*1000, 1000),
    DGBQ("dgbq", "MH/s", 1000*1000, 1000),
    DGBO("dgbo", "MH/s", 1000*1000, 1000),
    DGB2_ODO("dgb2_odo", "MH/s", 1000*1000, 1000),
    DGB_QUBIT_A10("dgb_qubit_a10", "MH/s", 1000*1000, 1000),
    DGB_SKEIN_A10("dgb_skein_a10", "MH/s", 1000*1000, 1000),
    DGB_ODO_B20("dgb_odo_b20", "MH/s", 1000*1000, 1000),
    NEXA("nexa", "MH/s", 1000*1000, 1000),
    RXD("rxd", "MH/s", 1000*1000, 1000),
    ALPH("alph", "MH/s", 1000*1000, 1000),
    ENX("enx", "MH/s", 1000*1000, 1000),
    MONERO("monero", "MH/s", 1000*1000, 1000),
    SHA3X("sha3x", "MH/s", 1000*1000, 1000);
    /** 币种参数名 */
    private final String coin;
    /** 矿池数据单位 */
    private final String unit;
    /** 换算率 数据库原始数据换算为H/s的换算率  */
    private final int hRate ;

    /** 换算率 数据库原始数据换算为H/s的换算率  */
    private final int gRate ;




    PoolUnits(String coin, String unit, int hRate, int gRate) {
        this.coin = coin;
        this.unit = unit;
        this.hRate = hRate;
        this.gRate = gRate;
    }

    public String getCoin() {
        return coin;
    }

    public String getUnit() {
        return unit;
    }

    public int gethRate() {
        return hRate;
    }

    public int getgRate() {
        return gRate;
    }



}
